package net.wanji.web.common.util.date;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/3 16:29
 */
public class TimeArrayUtil {

    /**
     * 返回一天的时间数组，按小时。如 ["00:00", "01:00" ... "23:00"]
     *
     * @author Kent HAN
     * @date 2022/11/3 16:30
     */
    public static List<String> getTimeArray() {
        List<String> res = new ArrayList<>();
        for (int i = 0; i < 24; i++) {
            if (i < 10) {
                res.add("0" + i + ":00");
            } else {
                res.add(i + ":00");
            }
        }
        return res;
    }

    public static void main(String[] args) {
        List<String> timeArray = TimeArrayUtil.getTimeArray();
    }
}
